
/*
 *  UnWindows 1.1.2
 *  Eyes.h
 *
 *  Gary Ormsby
 *  Rensselaer Polytechnic Institute
 *  Fall 1991
 *
 *  Minor revisions by Rich Burridge
 *  Sun Microsystems Inc.
 *  October 2001.
 *
 *  This file contains structures used in the Eyes.c file.
 */

/* NOTE: New code has a comment of "N". */

/* $XConsortium: Eyes.h,v 1.6 89/07/21 13:48:59 jim Exp $ */

#ifndef _XtEyes_h
#define _XtEyes_h

/*
 **********************************************************************
 *
 * Eyes Widget
 *
 **********************************************************************
 */

#define FCLOSE  (void) fclose
#define FPRINTF (void) fprintf
#define PRINTF  (void) printf
#define SPRINTF (void) sprintf
#define SSCANF  (void) sscanf
#define STRCAT  (void) strcat
#define STRCPY  (void) strcpy

/* Parameters:
 *
 * Name               Class              RepType    Default Value
 * ----               -----              -------    -------------
 * background         Background         pixel      White
 * border             BorderColor        pixel      Black
 * borderWidth        BorderWidth        int        1
 * foreground         Foreground         Pixel      Black
 * outline            Outline            Pixel      Black
 * height             Height             int        120
 * mappedWhenManaged  MappedWhenManaged  Boolean    True
 * reverseVideo       ReverseVideo       Boolean    False
 * width              Width              int        120
 * x                  Position           int        0
 * y                  Position           int        0
 *
 */

#define XtNoutline      "outline"
#define XtNcenterColor  "center"

#ifdef SHAPE
#define XtNshapeWindow "shapeWindow"
#define XtCShapeWindow "ShapeWindow"
#endif /*SHAPE*/

/* completely defined in EyesPrivate.h */
typedef struct _EyesRec *EyesWidget;

/* completely defined in EyesPrivate.h */
typedef struct _EyesClassRec *EyesWidgetClass;

typedef struct _EyesColorRec {                  /* N */
    char eyes_color[120];                       /* N */
    float eyes_loffset;                         /* N */
    float eyes_uoffset;                         /* N */
    int number;                                 /* N */
    XColor xcolor;                              /* N */
    GC colorGC;                                 /* N */
} EyesColorRec;                                 /* N */

typedef struct _EyesColorDefRec {               /* N */
    XColor xcolor;                              /* N */
    GC colorGC;                                 /* N */
} EyesColorDefRec;                              /* N */

extern WidgetClass eyesWidgetClass;

#endif /* _XtEyes_h */
