
/*
 *  UnWindows 1.1.2
 *  transform.c
 *
 *  Gary Ormsby
 *  Rensselaer Polytechnic Institute
 *  Fall 1991
 *
 *  Minor revisions by Rich Burridge
 *  Sun Microsystems Inc.
 *  October 2001.
 *
 *  ---
 *  Modification history:
 *  1.1.1 - October 2001 - See ChangeLog file.
 *  1.1   - 16 May 94    - no changes
 */

#include <stdlib.h>
#include <X11/Xlib.h>
#include "transform.h"

void
TFillArc(Display *dpy, Drawable d, GC gc, Transform *t, double x, double y, 
         double width, double height, int angle1, int angle2)
{
    int xx, xy, xw, xh;

    xx = Xx(x, y, t);
    xy = Xy(x, y, t);
    xw = Xwidth(width, height, t);
    xh = Xheight(width, height, t);
    if (xw < 0) {
        xx += xw;
        xw = -xw;
    }
    if (xh < 0) {
        xy += xh;
        xh = -xh;
    }
    XFillArc(dpy, d, gc, xx, xy, xw, xh, angle1, angle2);
}


void
SetTransform(Transform *t, int xx1, int xx2, int xy1, int xy2, 
             double tx1, double tx2, double ty1, double ty2)
{
    t->mx = ((double) xx2 - xx1) / (tx2 - tx1);
    t->bx = ((double) xx1) - t->mx * tx1;
    t->my = ((double) xy2 - xy1) / (ty2 - ty1);
    t->by = ((double) xy1) - t->my * ty1;
}
